List architecture uncertainties
GET
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidrepository_id?|nullstate?|nullreason?|nullblocking?boolean|nulllimit?LimitRange
1 <= value <= 500Default
200Successful Response
application/json- response
blocking_count*Blocking Countitems*array<>open_count*Open Countunassigned_count*Unassigned Countcurl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture/uncertainties'Example Response
{ "blocking_count": 0, "items": [ { "alternatives": [ { "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "observed_at": "2019-08-24T14:15:22Z", "source_keys": [ "string" ], "source_refs": [ "string" ], "value": "string" } ], "blocking": true, "created_at": "2019-08-24T14:15:22Z", "detail": "string", "detected_at": "2019-08-24T14:15:22Z", "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "field": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_observed_at": "2019-08-24T14:15:22Z", "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05", "reason": "missing_source", "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3", "resolution_summary": "string", "resolved_at": "2019-08-24T14:15:22Z", "scope": "source", "snapshot_id": "163831af-8c1b-4992-a9cf-88c6306604c0", "source_keys": [ "string" ], "state": "open", "subject_key": "string", "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9" } ], "open_count": 0, "unassigned_count": 0}